更新时间:2022-05-19 GMT+08:00
分享

源库参数WAL_LEVEL校验

PostgreSQL同步场景

表1 源库参数WAL_LEVEL校验

预检查项

源库参数WAL_LEVEL校验。

描述

源库参数“wal_level”是否为logical。若不为logical,则无法对源库的增量日志进行逻辑解码,进而无法进行增量同步。

不通过提示处理建议

不通过原因:源数据库参数wal_level配置错误,不为logical。

处理建议:将源库的“wal_level”参数修改为logical。自建数据修改方式可以参考:
  • 使用超级用户在源库执行alter system set wal_level = logical;,然后重启数据库生效。
  • 或修改postgresql.conf配置文件,设置参数wal_level = logical,然后重启数据库生效。

不通过原因:源数据库版本不支持。

处理建议:源数据库使用DRS支持的版本。源库支持的大版本有PostgreSQL 9.4、9.5、9.6、10、11、12、13和RDS for PostgreSQL增强版。

不通过原因:目标数据库版本不支持。

处理建议:目标数据库使用DRS支持的版本。目标库支持的大版本有RDS for PostgreSQL 9.5、9.6、10、11、12、13和增强版,其中源库为RDS for PostgreSQL增强版时,目标库仅支持RDS for PostgreSQL增强版。

分享:

    相关文档

    相关产品

close